Luxor PlatformAPI DocumentationCommanderActions
Get actions
Returns a paginated list of commander actions with filtering by site, status and date range.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Query Parameters
site_id?string
Format
uuidstatus?string
Value in
- "PENDING"
- "IN_PROGRESS"
- "COMPLETED"
- "FAILED"
- "CANCELED"
sort_by?"created_at"
Value in
- "created_at"
sort_order?string
Default
"desc"Value in
- "asc"
- "desc"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
25start_date*string
Format
dateend_date*string
Format
dateResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/commander/actions?start_date=2025-01-01&end_date=2025-01-31"{ "actions": [ { "id": "a-a1b2c3d4-e5f6-7890-abcd-ef1234567890", "action_type": "Reboot", "status": "PENDING", "site_id": "b0a5fad8-1234-5678-9abc-def012345678", "created_at": "2026-02-20T12:00:00Z", "initiated_by": "[email protected]", "total_miners": 10, "url": "/v2/commander/actions/a1b2c3d4-e5f6-7890-abcd-ef1234567890" } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}